io_uring_free_reg_wait(3)

NAME
io_uring_free_reg_wait - Frees a previously registered wait region

SYNOPSIS
#include <liburing.h>

void io_uring_free_reg_wait(struct io_uring *ring,
                            unsigned nentries);

DESCRIPTION

The io_uring_free_reg_wait(3) function frees a wait region for the ring ring of nentries previously setup with io_uring_setup_reg_wait(3). As registered wait regions persist for the life time of the ring, on the kernel side the wait regions still remain active, and may in fact still be used by the application for wait operations. They may just no longer be modified by the application. Available since kernel 6.13.

SEE ALSO
io_uring_submit_and_wait_reg(3), io_uring_free_reg_wait(3)